Retrieve a sender
GET/v1/senders/{id}
Retrieves a sender by its ID, archived ones included.
Required scope: senders:read
Rate limit category: Read
Retrieve a sender
curl https://api.lightfield.app/v1/senders/$ID \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"id": "id",
"archivedAt": "archivedAt",
"channel": "EMAIL",
"createdAt": "createdAt",
"emailAddress": "emailAddress",
"health": "UNVERIFIED",
"healthReason": "healthReason",
"objectType": "sender",
"owner": "owner",
"pacing": {
"EMAIL": {
"dailyLimit": -9007199254740991,
"maxGapSeconds": -9007199254740991,
"minGapSeconds": -9007199254740991
},
"LINKEDIN_INVITE": {
"dailyLimit": -9007199254740991,
"maxGapSeconds": -9007199254740991,
"minGapSeconds": -9007199254740991
},
"LINKEDIN_MESSAGE": {
"dailyLimit": -9007199254740991,
"maxGapSeconds": -9007199254740991,
"minGapSeconds": -9007199254740991
}
},
"replyToAddress": "replyToAddress",
"transport": "SMTP"
}Returns Examples
{
"id": "id",
"archivedAt": "archivedAt",
"channel": "EMAIL",
"createdAt": "createdAt",
"emailAddress": "emailAddress",
"health": "UNVERIFIED",
"healthReason": "healthReason",
"objectType": "sender",
"owner": "owner",
"pacing": {
"EMAIL": {
"dailyLimit": -9007199254740991,
"maxGapSeconds": -9007199254740991,
"minGapSeconds": -9007199254740991
},
"LINKEDIN_INVITE": {
"dailyLimit": -9007199254740991,
"maxGapSeconds": -9007199254740991,
"minGapSeconds": -9007199254740991
},
"LINKEDIN_MESSAGE": {
"dailyLimit": -9007199254740991,
"maxGapSeconds": -9007199254740991,
"minGapSeconds": -9007199254740991
}
},
"replyToAddress": "replyToAddress",
"transport": "SMTP"
}